<?xml version="1.0" encoding="UTF-8"?>
<!DOCTYPE mapper PUBLIC "-//mybatis.org//DTD Mapper 3.0//EN" "http://mybatis.org/dtd/mybatis-3-mapper.dtd">
<mapper namespace="com.ltgk.port.mapper.DsMainAreaMapper">

    <resultMap type="com.ltgk.port.domain.entity.DsMainArea" id="DsMainAreaMap">
        <result property="id" column="id"/>
        <result property="markName" column="mark_name"/>
        <result property="markType" column="mark_type"/>
        <result property="markId" column="mark_id"/>
        <result property="areaType" column="area_type"/>
        <result property="nameDisplayState" column="name_display_state"/>
        <result property="fillColor" column="fill_color"/>
        <result property="diaphaneity" column="diaphaneity"/>
        <result property="lineColor" column="line_color"/>
        <result property="lineWidth" column="line_width"/>
        <result property="positionInfo" column="position_info"/>
        <result property="areaCode" column="area_code"/>
        <result property="areaName" column="area_name"/>
        <result property="historyAlarmNum" column="history_alarm_num"/>
        <result property="createAt" column="create_at"/>
        <result property="updateAt" column="update_at"/>
        <result property="createBy" column="create_by"/>
        <result property="updateBy" column="update_by"/>
        <result property="remark" column="remark"/>
        <result property="functionArea" column="function_area"/>
        <result property="maxBoatCount" column="max_boat_count"/>
        <result property="earlyWarning" column="early_warning"/>
        <result property="minPower" column="min_power"/>
        <result property="maxPower" column="max_power"/>
        <result property="portId" column="port_id"/>
        <result property="portName" column="port_name"/>
        <result property="type" column="type"/>
        <result property="beShow" column="be_show"/>
        <result property="headUser" column="head_user"/>
        <result property="headUserPhone" column="head_user_phone"/>
    </resultMap>
</mapper>

